"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03560>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e036a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03600>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03740>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e037e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03880>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03920>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e039c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03a60>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03b00>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03ba0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03c40>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03ce0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03d80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03e20>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03ec0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e03f60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64040>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e640e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64180>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64220>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e642c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64360>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64400>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e644a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64540>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e645e0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64680>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64720>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e647c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64860>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64900>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e649a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64a40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64ae0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64b80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64c20>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64cc0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64d60>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64e00>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64ea0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64f40>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e64fe0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65080>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65120>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e651c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65260>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65300>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e653a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65440>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e654e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65580>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65620>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e656c0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65760>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65800>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e658a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65940>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e659e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65a80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65b20>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65bc0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65c60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65d00>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65da0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65e40>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65ee0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e65f80>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66020>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e660c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66160>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66200>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e662a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66340>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e663e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66480>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66520>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e665c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66660>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e667a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66700>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66840>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e668e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66980>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f5af7e66a20>)]
name: str = 'fr_HOCCN'
